Bug 94449

Summary: editors/openoffice.org-2.0: compile error while making 'hsqldb'
Product: Ports & Packages Reporter: Heino Tiedemann <rotkaps_spam_trap>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Heino Tiedemann 2006-03-14 16:50:18 UTC
cd /usr/ports/editors/openoffice.org-2.0
make -DWITHOUT_MOZILLA -DWITHOUT_JAVA -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de


causes that error:

============================================
[...]
patching file hsqldb/src/org/hsqldb/persist/NIOScaledRAFile.java
patching file hsqldb/src/org/hsqldb/persist/ScaledRAFile.java
patching file hsqldb/src/org/hsqldb/persist/ScriptRunner.java
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages.properties
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties
patching file hsqldb/src/org/hsqldb/rowio/RowInputTextQuoted.java
patching file hsqldb/src/org/hsqldb/scriptio/ScriptWriterBase.java
/usr/bin/perl /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/solenv/bin/leconvert.pl dos  ./unxfbsd.pro/misc/build/hsqldb/build/build.xml ./unxfbsd.pro/misc/build/hsqldb/doc/changelist_1_8_0.txt ./unxfbsd.pro/misc/build/hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties && touch ./unxfbsd.pro/misc/convert_dos_flag
touch ./unxfbsd.pro/misc/build/so_configured_so_hsqldb
mkdir ./unxfbsd.pro/misc/build/hsqldb/
mkdir: ./unxfbsd.pro/misc/build/hsqldb/: File exists
cd ./unxfbsd.pro/misc/build/hsqldb/ && /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/external/common/apache-ant-1.6.1/bin/ant -Dbuild.label="build-680m2(Build:9007)" -f build/build.xml jar  && touch so_built_so_hsqldb
/usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/external/common/apache-ant-1.6.1/bin/ant: Command not found.
dmake:  Error code 1, while making './unxfbsd.pro/misc/build/so_built_so_hsqldb'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/hsqldb
dmake:  Error code 1, while making 'build_instsetoo_native'
'---* *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.0.
============================================



All other ports are form March 12, 2006.
The Base System is RELENG_6 from February 12, 2006

How-To-Repeat: 	like above
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-03-14 18:55:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Heino Tiedemann 2006-03-18 17:51:52 UTC
Hi,


now it's the next tar.gz-File "OOo_2.0.2_src.tar.gz" with the same
Problem und the same make args:

,----
| make -DWITHOUT_MOZILLA -DWITHOUT_JAVA -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de
`----


[...]
patching file hsqldb/src/org/hsqldb/persist/DataFileCache.java
patching file hsqldb/src/org/hsqldb/persist/DataFileDefrag.java
patching file hsqldb/src/org/hsqldb/persist/HsqlDatabaseProperties.java
patching file hsqldb/src/org/hsqldb/persist/Logger.java
patching file hsqldb/src/org/hsqldb/persist/NIOScaledRAFile.java
patching file hsqldb/src/org/hsqldb/persist/ScaledRAFile.java
patching file hsqldb/src/org/hsqldb/persist/ScriptRunner.java
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages.properties
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties
patching file hsqldb/src/org/hsqldb/rowio/RowInputTextQuoted.java
patching file hsqldb/src/org/hsqldb/scriptio/ScriptWriterBase.java
/usr/bin/perl /usr/ports/editors/openoffice.org-2.0/work/OOB680_m5/solenv/bin/leconvert.pl dos  ./unxfbsd.pro/misc/build/hsqldb/build/build.xml ./unxfbsd.pro/misc/build/hsqldb/doc/changelist_1_8_0.txt ./unxfbsd.pro/misc/build/hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties && touch ./unxfbsd.pro/misc/convert_dos_flag
touch ./unxfbsd.pro/misc/build/so_configured_so_hsqldb
mkdir ./unxfbsd.pro/misc/build/hsqldb/
mkdir: ./unxfbsd.pro/misc/build/hsqldb/: File exists
cd ./unxfbsd.pro/misc/build/hsqldb/ && /usr/ports/editors/openoffice.org-2.0/work/OOB680_m5/external/common/apache-ant-1.6.1/bin/ant -Dbuild.label="build-680m5(Build:9011)" -f build/build.xml jar  && touch so_built_so_hsqldb
/usr/ports/editors/openoffice.org-2.0/work/OOB680_m5/external/common/apache-ant-1.6.1/bin/ant: Command not found.
dmake:  Error code 1, while making './unxfbsd.pro/misc/build/so_built_so_hsqldb'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2.0/work/OOB680_m5/hsqldb
dmake:  Error code 1, while making 'build_instsetoo_native'
'---* *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.0.




 ;-(

Heino Tiedemann
Comment 3 jabrown 2006-03-27 10:38:40 UTC
I've poked at this a bit, and this particular failure seems to be caused 
by an entry in solenv/inc/unxfbsdi.mk:

 	SOLAR_JAVA*=TRUE

It seems that the top-level openoffice configure script ensures that 
SOLAR_JAVA is unset when configured "--without-java"; however, 
unixfbsdi.mk is included later on during the build, and it sets SOLAR_JAVA 
to TRUE, which triggers building of java-dependent components.  (I guess 
"*=" is dmake-ese for "?=".)  I've changed the above line to:

 	SOLAR_JAVA=

...and now my openoffice-2.0 builds get much, much farther before falling 
over and dying for no obvious reason.

-JAB
Comment 4 Maho Nakata freebsd_committer 2006-05-28 10:28:55 UTC
State Changed
From-To: open->closed

WITHOUT_JAVA is no longer supported anymore. Omitting WITHOUT_JAVA 
will fix your problem.